List Exports
curl --request GET \
--url https://api.withflex.com/v1/exports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withflex.com/v1/exports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"export": [
{
"export_id": "fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"type": "product",
"status": "created",
"created_at": "2026-06-15T14:30:00Z",
"started_at": "2026-06-15T14:30:00Z",
"completed_at": "2026-06-15T14:30:00Z",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"filters": {
"payment": {
"limit": 0,
"status": "canceled",
"starting_after": "string",
"ending_before": "string",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
},
"checkout_session": {
"limit": 0,
"offset": 0,
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"client_reference_id": "string",
"start_date": "string",
"end_date": "string"
},
"subscription": {
"limit": 0,
"offset": 0,
"start_date": "string",
"end_date": "string"
},
"customer": {
"limit": 0,
"offset": 0,
"starting_after": "string",
"ending_before": "string"
},
"product": {
"limit": 0,
"offset": 0,
"starting_after": "string",
"ending_before": "string"
},
"charge_reconciliation": {
"start_date": "string",
"end_date": "string"
},
"payout": {
"start_date": "string",
"end_date": "string"
},
"dispute": {
"start_date": "string",
"end_date": "string"
},
"line_item": {
"start_date": "string",
"end_date": "string"
},
"line_item_revenue": {
"start_date": "string",
"end_date": "string"
},
"balance_activity": {
"start_date": "string",
"end_date": "string"
}
},
"test_mode": false
}
]
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}List Exports
Returns a list of your exports, sorted with the most recently created exports first.
GET
/
v1
/
exports
List Exports
Authorizations
Use a Bearer token to access this API.
Query Parameters
A cursor for use in pagination. starting_after is an export ID that defines your place in the list.
Example:
"fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A cursor for use in pagination. ending_before is an export ID that defines your place in the list.
Example:
"fxprt_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
Required range:
-2147483648 <= x <= 2147483647Example:
10
Number of objects to skip before returning results.
Required range:
-2147483648 <= x <= 2147483647Example:
3
Response
An envelope wrapping a list of export objects.
An envelope wrapping a list of export objects.
The list of exports.
Show child attributes
Show child attributes